-- 订单数据处理
DELETE FROM follow_task WHERE type = 1;
DELETE FROM follow_record WHERE type = 1;
DELETE FROM follow_notice_record WHERE follow_type = 1;
DELETE FROM original_data WHERE type = 1;

insert into fw_valhalla.original_data(type, customer_id, generate_time, detail_id, solved, group_id, create_time,
                                      update_time)
SELECT 1,
       w1.cust_archive_id,
       w2.delivery_date,
       w1.id,
       0,
       w1.group_id,
       now(),
       now()
from `fw_valhalla`.car_order w1
         inner JOIN `fw_valhalla`.car_delivery_info w2 on w1.id = w2.order_id
         INNER JOIN fw_valhalla.customer w3 on w1.car_vin = w3.frame_no
where w3.adviser_id is not NULL and  w1.id in (
    select max(w1.id) as id
    from `fw_valhalla`.car_order w1
             inner JOIN `fw_valhalla`.car_delivery_info w2 on w1.id = w2.order_id
    where w2.delivery_done = 1
      and w1.group_id = 2
      and w1.order_canceled = 0
      and w2.delivery_date >= DATE_ADD(NOW(), INTERVAL - 61 DAY )
    group by w1.cust_archive_id
);

-- 保险数据处理
DELETE FROM follow_task WHERE type = 4;
DELETE FROM follow_record WHERE type = 4;
DELETE FROM follow_notice_record WHERE follow_type = 4;
DELETE FROM original_data WHERE type = 4;

insert into fw_valhalla.original_data(type, customer_id, generate_time, detail_id, solved, group_id, create_time,
                                      update_time)
SELECT 4,
       w1.id,
       w1.buy_date,
       -1 * w1.id,
       1,
       w1.group_id,
       now(),
       now()
from fw_valhalla.customer w1 WHERE w1.yn=1;

UPDATE original_data
SET generate_time = DATE_ADD( generate_time, INTERVAL + 1 YEAR )
WHERE
        type=4 and
        generate_time < DATE_ADD(
            NOW(),
            INTERVAL - 304 DAY);



-- 售后工单首保处理
DELETE FROM original_data WHERE type = 2;
insert into fw_valhalla.original_data(type, customer_id, generate_time, detail_id, solved, group_id, create_time,
                                      update_time)
SELECT 2,
       t1.customer_id,
       t1.actual_pickup_time,
       t1.id,
       0,
       t1.group_id,
       now(),
       now()
from fw_cas.`order` t1 inner join fw_valhalla.customer t2 on t1.customer_id = t2.id
where t2.adviser_id is not null and t1.id in (
    select max(t3.id) as id
    from fw_cas.`order` t3
    where t3.metal_sheet = 0
      and t3.`status` = 9
      and (FIND_IN_SET(2, t3.type) or FIND_IN_SET(2, t3.type))
      and t3.customer_id is not null
      and t3.actual_pickup_time >= DATE_ADD(NOW(), INTERVAL - 65 DAY )
    group by t3.customer_id
);


-- 流失客户数据处理
DELETE FROM follow_task WHERE type = 2;
DELETE FROM follow_record WHERE type = 2;
DELETE FROM follow_notice_record WHERE follow_type = 2;
DELETE FROM original_data WHERE type = 5;

insert into fw_valhalla.original_data(type, customer_id, generate_time, detail_id, solved, group_id, create_time,
                                      update_time)
SELECT 5,
       t1.customer_id,
       t1.actual_pickup_time,
       t1.id,
       0,
       t2.group_id,
       now(),
       now()
from fw_cas.`order` t1 inner join fw_valhalla.customer t2 on t1.customer_id = t2.id
where t2.adviser_id is not null and t1.id in (
    select max(t3.id) as id
    from fw_cas.`order` t3
    where t3.`status` = 9
      and t3.customer_id is not null
      and t3.actual_pickup_time >= DATE_ADD(NOW(), INTERVAL - 120 DAY )
    group by t3.customer_id
);


-- 待定
update fw_valhalla.customer t1, (
    select max(id), receiver_id as followUser, customer_id
    from fw_cas.`order`
    where metal_sheet = 0
      and `status` = 9
      and (FIND_IN_SET(2, type) or FIND_IN_SET(2, type))
      and customer_id is not null
      and actual_pickup_time >= DATE_ADD(NOW(), INTERVAL - 5 MONTH)
    group by customer_id
) t2
set t1.follow_user_id = t2.followUser
where t1.id = t2.customer_id;