-- accident_pool changes
alter table accident_pool
    add report_mobile varchar(128) not null comment '报案手机号' after mobile;

alter table accident_pool
    modify shop_id bigint not null comment '服务站id';

alter table accident_pool
    drop column user_id;

alter table accident_pool
    add shop_name varchar(255) not null comment '所属服务站名称' after shop_id;

alter table accident_pool
    add address varchar(255) null comment '报案地址' after shop_name;

alter table accident_pool
    add sms varchar(512) null comment '短信详情' after group_id;

drop index report_num_group_index on accident_pool;

-- approve_record changes
alter table approve_record
    add type int(3) default 1 not null comment '1： 跟进战败 2：其他' after reason;

-- leave_need_do
create table leave_need_do
(
    id             bigint auto_increment,
    user_id        bigint                 not null comment '用户id',
    user_name      varchar(225)           null comment '用户名',
    type           int(3)                 not null comment '待办类型  10：客户待分配  20： 其他',
    shop_id        bigint                 not null comment '用户所属服务站',
    reason         int(3)                 not null comment '产生此条待办原因 1:离职 2:调岗 3：其他',
    effective_time datetime               null comment '变动生效时间',
    done           tinyint(1) default '0' not null comment '是否已处理 ',
    create_time    datetime               null,
    update_time    datetime               null,
    constraint leave_need_do_pk
        primary key (id)
)
    comment '人员变动待办事项';

create index leave_need_do_index
    on leave_need_do (user_id, user_name, shop_id);



