alter table customer_base_info
    add `job` varchar(32) null comment '职业' after hobby;


create table public_clue_pool
(
    id bigint auto_increment,
    customer_id bigint not null comment '客户档案id',
    deadline datetime not null comment '转换截止时间',
    close_time datetime null comment '关闭时间',
    state int(3) not null comment '状态： 1、进行中 2、已转换 3、转换失败',
    adviser_id bigint not null comment '顾问id',
    adviser_name varchar(32) null comment '顾问名称',
    shop_id bigint not null comment '门店id',
    shop_name varchar(128) null comment '门店名称',
    group_id bigint not null comment '集团id',
    create_time datetime null,
    update_time datetime null,
    constraint public_clue_pool_pk
        primary key (id)
)
    comment '公共池客户线索池';

create index public_clue_pool_customer_id_index
    on public_clue_pool (customer_id);
create unique index public_clue_pool_customer_id_adviser_id_uindex
    on public_clue_pool (customer_id, adviser_id);


alter table public_pool
    add frame_no varchar(64) null comment '车架号' after customer_name;

alter table public_pool
    add brand_id bigint null comment '品牌id' after plate_no;
alter table public_pool
    add brand_name varchar(64) null comment '品牌名称' after brand_id;
alter table public_pool
    add series_id bigint null comment '车系id' after brand_name;
alter table public_pool
    add series_name varchar(64) null comment '车系名称' after series_id;
alter table public_pool
    add spec_id bigint null comment '车型id' after series_name;
alter table public_pool
    add spec_name varchar(225) null comment '车型名称' after spec_id;

