package cn.fw.valhalla.common.enums;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * 小程序页面类型枚举
 * <p>
 * create at 2019-03-04
 *
 * @author Tarantula
 */
public enum MiniPageTypeEnum {

    /**
     * 报价确认
     */
    CONFIRM(1, "报价确认"),
    /**
     * 订单结算
     */
    SETTLE(2, "订单结算");

    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    MiniPageTypeEnum(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static MiniPageTypeEnum ofValue(final Integer value) {
        for (final MiniPageTypeEnum typeEnum : MiniPageTypeEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    public Integer getValue() {
        return value;
    }
}
