package cn.fw.valhalla.dao.mapper;

import cn.fw.valhalla.domain.db.pool.CustomerCluePool;
import cn.fw.valhalla.domain.dto.CustomerCluePoolDTO;
import cn.fw.valhalla.domain.query.CustomerCluePoolQueryVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author : kurisu
 * @className : CustomerCluePoolMapper
 * @description : 客户线索池
 * @date: 2020-11-12 09:34
 */
@Repository
public interface CustomerCluePoolMapper extends BaseMapper<CustomerCluePool> {
    /**
     * 客户线索池
     * fixme 数据量大的时候性能有问题
     * @param startIndex
     * @param pageSize
     * @param queryVO
     * @return
     */
    List<CustomerCluePoolDTO> clueList(@Param("startIndex") Integer startIndex, @Param("pageSize") Integer pageSize, @Param("condition") CustomerCluePoolQueryVO queryVO);

    /**
     * 总数
     * @param queryVO
     * @return
     */
    Long clueListCount(@Param("condition") CustomerCluePoolQueryVO queryVO);

    /**
     * 成交数
     * @param queryVO
     * @return
     */
    Long completeNum(@Param("condition") CustomerCluePoolQueryVO queryVO);

    /**
     * 战败数
     * @param queryVO
     * @return
     */
    Long defeatNum(@Param("condition") CustomerCluePoolQueryVO queryVO);

    /**
     * 进行中的数量
     * @param queryVO
     * @return
     */
    Long onGoingNum(@Param("condition") CustomerCluePoolQueryVO queryVO);
}
