package cn.fw.valhalla.dao.mapper;

import cn.fw.valhalla.domain.db.pool.PublicCluePool;
import cn.fw.valhalla.domain.dto.PublicCluePoolDTO;
import cn.fw.valhalla.domain.query.PublicCluePoolQueryVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author : kurisu
 * @className : PublicCluePoolMapper
 * @description : 公共客户线索池
 * @date: 2021-03-29 15:10
 */
@Repository
public interface PublicCluePoolMapper extends BaseMapper<PublicCluePool> {
    /**
     * 公共池客户线索池
     *
     * @param startIndex
     * @param pageSize
     * @param queryVO
     * @return
     */
    List<PublicCluePoolDTO> publicCluePoolList(@Param("startIndex") Integer startIndex, @Param("pageSize") Integer pageSize, @Param("condition") PublicCluePoolQueryVO queryVO);

    /**
     * 查询总数
     *
     * @param queryVO
     * @return
     */
    Long publicCluePoolListCount(@Param("condition") PublicCluePoolQueryVO queryVO);
}
