package cn.fw.valhalla.dao.mapper;

import cn.fw.valhalla.domain.db.pool.PublicPool;
import cn.fw.valhalla.domain.dto.PublicPoolDTO;
import cn.fw.valhalla.domain.query.PublicPoolQueryVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author : kurisu
 * @className : PublicPoolMapper
 * @description : 公共池
 * @date: 2020-09-25 16:07
 */
@Repository
public interface PublicPoolMapper extends BaseMapper<PublicPool> {
    /**
     * 查询公共池
     *
     * @param startIndex
     * @param pageSize
     * @param queryVO
     * @return
     */
    List<PublicPoolDTO> publicList(@Param("startIndex") Integer startIndex, @Param("pageSize") Integer pageSize, @Param("condition") PublicPoolQueryVO queryVO);

    /**
     * 查询总数
     *
     * @param queryVO
     * @return
     */
    Long publicListCount(@Param("condition") PublicPoolQueryVO queryVO);
}
