package cn.fw.valhalla.dao.mapper;

import cn.fw.valhalla.domain.db.SecretReportHistory;
import cn.fw.valhalla.domain.dto.SecretReportHistoryDTO;
import cn.fw.valhalla.domain.query.SecretReportHistoryQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author : kurisu
 * @className : SecretReportHistoryMapper
 * @description : 通话记录mapper
 * @date: 2021-02-21 14:54
 */
@Repository
public interface SecretReportHistoryMapper extends BaseMapper<SecretReportHistory> {
    /**
     * 查询通话记录池
     *
     * @param startIndex
     * @param pageSize
     * @param queryVO
     * @return
     */
    List<SecretReportHistoryDTO> secretReportList(@Param("startIndex") Integer startIndex, @Param("pageSize") Integer pageSize, @Param("condition") SecretReportHistoryQuery queryVO);

    /**
     * 查询通话记录总数
     *
     * @param queryVO
     * @return
     */
    Long secretReportCount(@Param("condition") SecretReportHistoryQuery queryVO);
}
