package cn.fw.valhalla.dao.mapper;

import cn.fw.valhalla.domain.db.pool.StammkundePool;
import cn.fw.valhalla.domain.dto.StammkundePoolDTO;
import cn.fw.valhalla.domain.query.StammkundePoolQueryVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author : kurisu
 * @className : StammkundePoolMapper
 * @description : 保有客池
 * @date: 2020-11-11 17:22
 */
@Repository
public interface StammkundePoolMapper extends BaseMapper<StammkundePool> {
    /**
     * 保有客池
     * fixme 数据量大的时候性能有问题
     * @param startIndex
     * @param pageSize
     * @param queryVO
     * @return
     */
    List<StammkundePoolDTO> stammkundeList(@Param("startIndex") Integer startIndex, @Param("pageSize") Integer pageSize, @Param("condition") StammkundePoolQueryVO queryVO);

    /**
     * 查询保有客池总数
     * @param queryVO
     * @return
     */
    Long stammkundeListCount(@Param("condition") StammkundePoolQueryVO queryVO);
}
