package cn.fw.valhalla.domain.db;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.domain.enums.ApproveStateEnum;
import cn.fw.valhalla.domain.enums.ApproveTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * @author : kurisu
 * @className : ApproveRecord
 * @description : 审批记录
 * @date: 2020-09-22 17:34
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class ApproveRecord extends BaseAuditableTimeEntity<ApproveRecord, Long> {
    /**
     * 业务id
     */
    private Long dataId;
    /**
     * 发起人id
     */
    private Long userId;
    /**
     * 审批单号
     */
    private String orderNo;
    /**
     * 申请原因
     */
    private String reason;
    /**
     * 审批状态
     */
    private ApproveStateEnum state;
    /**
     * 通过与否
     */
    private Boolean passed;
    /**
     * 审批类型
     */
    private ApproveTypeEnum type;
}
