package cn.fw.valhalla.domain.db;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.domain.enums.LeaveReasonEnum;
import cn.fw.valhalla.domain.enums.LeaveTodoTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : LeaveNeedDo
 * @description : 人员变动待处理事项
 * @date: 2020-10-16 16:47
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class LeaveNeedDo extends BaseAuditableTimeEntity<LeaveNeedDo, Long> {
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 事件类型
     */
    private LeaveTodoTypeEnum type;
    /**
     * 用户所属门店
     */
    private Long shopId;
    /**
     * 用户变动原因
     */
    private LeaveReasonEnum reason;
    /**
     * 生效时间
     */
    private Date effectiveTime;
    /**
     * 是否已完成处理
     */
    private Boolean done;
}
