package cn.fw.valhalla.domain.db;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.valhalla.domain.enums.CallTypeEnum;
import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : SecretReportHistory
 * @description : 通话记录
 * @date: 2021-02-21 11:41
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class SecretReportHistory extends BaseEntity<SecretReportHistory, Long> {
    /**
     * 任务id
     */
    private Long taskId;
    /**
     * 跟进类型
     */
    private FollowTypeEnum taskType;
    /**
     * 跟进id
     */
    private Long followRecordId;
    /**
     * 是否首次通话（针对跟进任务来说）
     */
    private Boolean firstCall;
    /**
     * 通话id
     */
    private String callId;
    /**
     * 工作人员id
     */
    private Long staffId;
    /**
     * 工作人员名称
     */
    private String staffName;
    /**
     * 客户id
     */
    private Long customerId;
    /**
     * 呼叫类型
     */
    private CallTypeEnum callType;
    /**
     * 呼叫时间
     */
    private Date callTime;
    /**
     * 通话时长
     */
    private Long callDuration;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 集团id
     */
    private Long groupId;
}
