package cn.fw.valhalla.domain.db.customer;


import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.domain.enums.CustomerChangeTypeEnum;
import cn.fw.valhalla.domain.enums.DefeatReasonEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 档案变更 记录
 * @author kurisu
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class AffiliationRecord extends BaseAuditableTimeEntity<AffiliationRecord, Long> {

  /**
   * 档案id
   */
  private Long customerId;
  /**
   * 类型 1：战败 2：划走
   */
  private CustomerChangeTypeEnum type;
  /**
   * 战败发生时间
   */
  private Date defeatTime;
  /**
   * 战败原因
   */
  private String reason;
  /**
   * 原服务顾问id
   */
  private Long originUserId;
  /**
   * 原服务站id
   */
  private Long originShopId;
  /**
   * 改变后的服务顾问id
   */
  private Long curUserId;
  /**
   * 改变后的服务站id
   */
  private Long curShopId;
}
