package cn.fw.valhalla.domain.db.customer;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.domain.enums.ContactRelationEnum;
import cn.fw.valhalla.domain.enums.ContactTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 联系人
 * @author kurisu
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CustomerContact extends BaseAuditableTimeEntity<CustomerContact, Long> {
  /**
   * 关联车辆档案id
   */
  private Long cusId;
  /**
   * 姓名
   */
  private String name;
  /**
   * 联系电话
   */
  private String phone;
  /**
   * 会员id
   */
  private Long memberId;
  /**
   * 类型
   */
  private ContactTypeEnum type;
  /**
   * 与车主关系
   */
  private ContactRelationEnum relation;
}
