package cn.fw.valhalla.domain.db.customer;

import cn.fw.common.data.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : CustomerLoanInfo
 * @description : 客户贷款信息
 * @date: 2020-10-29 14:13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CustomerLoanInfo extends BaseEntity<CustomerContact, Long> {
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 分期期数
     */
    private Integer periods;
    /**
     * 贷款到期时间
     */
    private Date expires;
    /**
     * 集团id
     */
    private Long groupId;
}
