package cn.fw.valhalla.domain.db.follow;


import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 跟进记录
 *
 * @author kurisu
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class FollowRecord extends BaseAuditableTimeEntity<FollowRecord, Long> {
    /**
     * 跟进任务id
     */
    private Long taskId;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 跟进类型
     */
    private FollowTypeEnum type;
    /**
     * 跟进人id
     */
    private Long userId;
    /**
     * 跟进人员姓名
     */
    private String userName;
    /**
     * 本次计划跟进时间
     */
    private Date planTime;
    /**
     * 本次跟进截止时间
     */
    private Date deadline;
    /**
     * 实际跟进时间
     */
    private Date followTime;
    /**
     * 是否逾期
     */
    private Boolean outTime;
    /**
     * 备注
     */
    private String remark;
    /**
     * 待办截止日期（事故车only）
     */
    private Date limitTime;
    /**
     * 跟进产生的集团id
     */
    private Long groupId;
    /**
     * 服务站id
     */
    private Long shopId;
    /**
     * 是否添加到待办
     */
    private Boolean addTodo;
}
