package cn.fw.valhalla.domain.db.follow;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.domain.enums.FeedbackTypeEnum;
import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import cn.fw.valhalla.domain.enums.TaskDefeatTypeEnum;
import cn.fw.valhalla.domain.enums.TaskStateEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 跟进任务
 *
 * @author kurisu
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FollowTask extends BaseAuditableTimeEntity<FollowTask, Long> {
    /**
     * 线索id
     */
    private Long clueId;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 跟进类型
     */
    private FollowTypeEnum type;
    /**
     * 任务开始时间
     */
    private Date beginTime;
    /**
     * 是否是二次分配
     */
    private Boolean redistribution;
    /**
     * 截止日期
     */
    private Date deadline;
    /**
     * 是否完成
     */
    private TaskStateEnum state;
    /**
     * 终止时间
     */
    private Date closeTime;
    /**
     * 当前跟进人
     */
    private Long followUser;
    private String followUserName;
    /**
     * 当前跟进人门店
     */
    private Long followShop;
    /**
     * 完成人
     */
    private Long finishUser;
    private String finishUserName;
    /**
     * 接待人
     */
    private Long receptionUserId;
    private String receptionUserName;
    /**
     * 接待门店
     */
    private Long receptionShopId;
    private String receptionShopName;
    /**
     * 完成门店
     */
    private Long finishShop;
    /**
     * 任务战败原因
     */
    private TaskDefeatTypeEnum reason;
    /**
     * 跟进次数
     */
    private Integer times;
    /**
     * 反馈类型
     */
    private String feedback;
    /**
     * 最新反馈
     */
    private FeedbackTypeEnum lastFeedback;
    /**
     * 集团id
     */
    private Long groupId;
}
