package cn.fw.valhalla.domain.db.pool;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.domain.enums.ClueStatusEnum;
import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : CustomerCluePool
 * @description : 客户线索池
 * @date: 2020-11-11 18:02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CustomerCluePool extends BaseAuditableTimeEntity<CustomerCluePool, Long> {
    /**
     * 档案id或者事故车线索id
     */
    private Long refererId;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 线索类型 同跟进类型
     */
    private FollowTypeEnum clueType;
    /**
     * 添加时间
     */
    private Date addTime;
    /**
     * 生效时间
     */
    private Date startTime;
    /**
     * 过期时间
     */
    private Date deadline;
    /**
     * 完成时间
     */
    private Date closeTime;
    /**
     * 是否过期
     */
    private ClueStatusEnum clueStatus;
    /**
     * 是否已经二次分配
     */
    private Boolean redistribution;
    /**
     * 初始跟进人id
     */
    private Long originalUserId;
    /**
     * 初始跟进人名称
     */
    private String originalUserName;
    /**
     * 初始跟进门店id
     */
    private Long originalShopId;
    /**
     * 初始跟进门店名称
     */
    private String originalShopName;
    /**
     * 成交人员id
     */
    private Long finishUserId;
    /**
     * 成交人员名称
     */
    private String finishUserName;
    /**
     * 成交门店id
     */
    private Long finishShopId;
    /**
     * 成交门店名称
     */
    private String finishShopName;
    /**
     * 集团id
     */
    private Long groupId;
}
