package cn.fw.valhalla.domain.db.pool;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.domain.enums.PublicClueStateEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : PublicCluePool
 * @description : 公共池客户线索池
 * @date: 2021-03-29 14:50
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PublicCluePool extends BaseAuditableTimeEntity<PublicCluePool, Long> {
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 截止日期
     */
    private Date deadline;
    /**
     * 关闭时间
     */
    private Date closeTime;
    /**
     * 转换状态
     */
    private PublicClueStateEnum state;
    /**
     * 顾问id
     */
    private Long adviserId;
    /**
     * 顾问名称
     */
    private String adviserName;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 集团id
     */
    private Long groupId;
}
