package cn.fw.valhalla.domain.db.pool;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.domain.enums.PublicPoolTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * @author : kurisu
 * @className : PublicPool
 * @description : 公共池
 * @date: 2020-09-25 16:01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PublicPool extends BaseAuditableTimeEntity<PublicPool, Long> {
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 档案名称
     */
    private String customerName;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 车系id
     */
    private Long seriesId;
    /**
     * 车系名称
     */
    private String seriesName;
    /**
     * 车型id
     */
    private Long specId;
    /**
     * 车型名称
     */
    private String specName;
    /**
     * 住址
     */
    private String address;
    /**
     * 工作单位
     */
    private String company;
    /**
     * 公共池类型
     */
    private PublicPoolTypeEnum type;
    /**
     * 服务站
     */
    private Long shopId;
    /**
     * 服务站名称
     */
    private String shopName;
    /**
     * 进站次数
     */
    private Integer times;
    /**
     * 原因
     */
    private String reason;
    /**
     * 集团id
     */
    private Long groupId;
}
