package cn.fw.valhalla.domain.db.pool;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.domain.enums.DefeatReasonEnum;
import cn.fw.valhalla.domain.enums.StammkundeSourcesEnum;
import cn.fw.valhalla.domain.enums.StammkundeStatusEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : StammkundePool
 * @description : 保有客池
 * @date: 2020-11-11 17:06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class StammkundePool extends BaseAuditableTimeEntity<StammkundePool, Long> {
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 顾问id
     */
    private Long adviserId;
    /**
     * 顾问名称
     */
    private String adviserName;
    /**
     * 渠道来源
     */
    private StammkundeSourcesEnum sources;
    /**
     * 保有客池状态
     */
    private StammkundeStatusEnum poolStatus;
    /**
     * 是否活跃
     */
    private Boolean aktiv;
    /**
     * 活跃时间
     */
    private Date activationTime;
    private Date rejectTime;
    /**
     * 战败原因
     */
    private DefeatReasonEnum reason;
    /**
     * 服务站id
     */
    private Long shopId;
    /**
     * 新顾问id
     */
    private Long newUserId;
    /**
     * 新顾问名称
     */
    private String newUserName;
    /**
     * 新门店id
     */
    private Long newShopId;
    /**
     * 新门店名称
     */
    private String newShopName;
    /**
     * 集团id
     */
    private Long groupId;
}
