package cn.fw.valhalla.domain.db.setting;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.domain.enums.SettingTypeEnum;
import cn.fw.valhalla.domain.enums.SettingUnitEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 跟进设置详情
 *
 * @author kurisu
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class FollowSettingDetail extends BaseAuditableTimeEntity<FollowSettingDetail, Long> {
    /**
     * 设置id
     */
    private Long settingId;
    /**
     * 设置类型
     */
    private SettingTypeEnum type;
    /**
     * 值
     */
    private Integer detailValue;
    /**
     * 单位
     */
    private SettingUnitEnum unit;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 是否有效
     */
    private Boolean yn;
}
