package cn.fw.valhalla.domain.dto;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author : kurisu
 * @className : CorrelationDto
 * @description : 联系人
 * @date: 2020-07-06 20:00
 */
@Data
public class CorrelationDto {
    /**
     * 档案id
     */
    @NotNull(message = "档案id不能为空")
    private Long customerId;
    /**
     * 服务顾问id
     */
    private Long adviserId;
    /**
     * 名称
     */
    private String name;
    /**
     * 关系
     *
     * @see cn.fw.valhalla.domain.enums.ContactRelationEnum
     */
    private Integer relation;
    /**
     * 服务站id
     */
    @NotNull(message = "服务站id不能为空")
    private Long shopId;
    /**
     * 车牌号
     */
    @NotEmpty(message = "车牌号不能为空")
    private String plateNo;
}