package cn.fw.valhalla.domain.dto;

import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author Kurisu
 * 2020-04-13 4:07 下午
 */
@Data
@ToString(callSuper = true)
public class CustomerChangeDto {
    /**
     * 前Id
     */
    private Long motoId;
    /**
     * 当前档案id
     */
    private Long id;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 客户姓名
     */
    private String name;
    /**
     * 客户联系电话
     */
    private String mobile;
    /**
     * 客户性别
     */
    private Integer gender;
    /**
     * 客户出生日期
     */
    private Date birthday;
    /**
     * 客户证件号码
     */
    private String idNum;
    /**
     * 爱好
     */
    private String hobby;
    /**
     * 职业
     */
    private String job;
    /**
     * 工作单位;个人
     */
    private String companyName;
    /**
     * 联系地址
     */
    private String address;
    /**
     * 纬度
     */
    private BigDecimal lat;
    /**
     * 经度
     */
    private BigDecimal lng;
    /**
     * 车牌号
     */
    @NotBlank(message = "车牌号不能为空")
    private String plateNo;
    /**
     * 车架号
     */
    @NotBlank(message = "车架号不能为空")
    private String frameNo;
    /**
     * 发动机编号
     */
    @NotBlank(message = "发动机号不能为空")
    private String engineNo;
    /**
     * 使用地城市代码
     */
    private String cityCode;
    /**
     * 使用地城市名称
     */
    private String cityName;
    /**
     * 行驶证注册日期
     */
    @NotNull(message = "行驶证注册日期不能为空")
    private Date regDate;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 车系id
     */
    private Long seriesId;
    /**
     * 车系名称
     */
    private String seriesName;
    /**
     * 车系id
     */
    private Long specId;
    /**
     * 车系名称
     */
    private String specName;
    /**
     * 行驶证fid
     */
    private String vehicleLicense;
    /**
     * 保险到期日期
     */
    private Date insurExpireDate;
    /**
     * 险公司id
     */
    private Long insurCompanyId;
    /**
     * 购车时间
     */
    private Date buyDate;
    /**
     * 使用类型
     */
    @NotNull(message = "车辆使用类型不能为空")
    private Integer useType;
    /**
     * 专属服务顾问id
     */
    private Long adviserId;
    /**
     * 所属服务站id
     */
    private Long shopId;
    /**
     * 所属商家id
     */
    private Long dealerId;
    /**
     * 所属集团
     */
    private Long groupId;
    /**
     * 缓存标识
     */
    private String key;

    /**
     * 车型代码
     */
    private String modelCode;
}