package cn.fw.valhalla.domain.dto;

import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author kurisu
 */
@Data
@ToString(callSuper = true)
public class CustomerPickCarSaveDto {
    /**
     * 档案id
     */
    private Long id;
    /**
     * 客户姓名
     */
    @NotBlank(message = "客户姓名不能为空")
    private String name;
    /**
     * 客户联系电话
     */
    @NotBlank(message = "电话号码不能为空")
    @Pattern(regexp = "^1[3-9]\\d{9}$", message = "电话号码格式不正确")
    private String mobile;
    /**
     * 客户性别
     */
    private Integer gender;
    /**
     * 客户出生日期
     */
    private Date birthday;
    /**
     * 客户证件号码
     */
    private String idNum;
    /**
     * 爱好
     */
    private String hobby;
    /**
     * 联系地址
     */
    private String address;
    /**
     * 单位名称
     */
    private String companyName;
    /**
     * 纬度
     */
    private BigDecimal lat;
    /**
     * 经度
     */
    private BigDecimal lng;
    /**
     * 车牌号
     */
    @NotBlank(message = "车牌号不能为空")
    private String plateNo;
    /**
     * 车架号
     */
    @NotBlank(message = "车架号不能为空")
    private String frameNo;
    /**
     * 发动机编号
     */
    @NotBlank(message = "发动机号不能为空")
    private String engineNo;
    /**
     * 行驶证注册日期
     */
    @NotNull(message = "行驶证注册日期不能为空")
    private Date regDate;
    /**
     * 保险到期日期
     */
    private Date insurExpireDate;
    /**
     * 险公司id
     */
    private Long insurCompanyId;
    /**
     * 购车时间
     */
    private Date buyDate;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 车系id
     */
    private Long seriesId;
    /**
     * 车系名称
     */
    private String seriesName;
    /**
     * 车系id
     */
    private Long specId;
    /**
     * 车系名称
     */
    private String specName;
    /**
     * 行驶证fid
     */
    private String vehicleLicense;
    /**
     * 车辆图片
     */
    private String carImage;
    /**
     * 使用类型
     * 1.非运营 2.运营
     */
    @NotNull(message = "车辆使用类型不能为空")
    private Integer useType;
}