package cn.fw.valhalla.domain.dto;

import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author : kurisu
 * @className : DistributableVO
 * @description : 可分配客户vo
 * @date: 2021-04-01 14:52
 */
@Data
public class DistributableDTO {
    /**
     * 人员id
     */
    @NotNull(message = "顾问不能为空")
    private Long adviserId;
    private String adviserName;
    /**
     * 门店id
     */
    @NotNull(message = "门店不能为空")
    private Long shopId;
    /**
     * 被分配信息
     */
    @NotEmpty(message = "请选择想要分配的数量")
    @Valid
    private List<BeAssignedDTO> beAssignedList;

    @Data
    public static class BeAssignedDTO {
        /**
         * 被分配人
         */
        @NotNull(message = "被分配人不能为空")
        private Long userId;
        /**
         * 可分配数
         */
        @NotNull(message = "可分配的保有客数量必须大于0")
        private Integer distributableNum;
        /**
         * 分配数
         */
        @Min(value = 1, message = "保有客数量必须大于0")
        private Integer num;
    }
}
