package cn.fw.valhalla.domain.dto;

import lombok.Data;

import java.util.Date;

/**
 * 跟进任务
 *
 * @author kurisu
 */
@Data
public class FollowPoolDTO {
    private Long id;
    /**
     * 车牌号
     */
    private String plateNo;
    private String mobile;
    /**
     * 客户星级
     */
    private Integer cusLevel;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 贷款到期时间
     */
    private Date loanExpires;
    /**
     * 跟进类型
     */
    private Integer type;
    /**
     * 人员id
     */
    private Long userId;
    /**
     * 跟进人员名称
     */
    private String followUserName;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 任务开始时间
     */
    private Date startTime;
    /**
     * 购车时间
     */
    private Date buyDate;
    /**
     * 保险到期时间
     */
    private Date insuranceExpires;
    /**
     * 上次进站时间
     */
    private Date arrivalTime;
    /**
     * 跟进次数
     */
    private Integer times;
    /**
     * 剩余天数
     */
    private Integer remaining;
    /**
     * 二次跟进
     */
    private Boolean redistribution;
    /**
     * 状态 1：进行中 2：已成交 3：战败
     */
    private Integer state;
    /**
     * 成交门店
     */
    private Long finishShop;
    /**
     * 成交人
     */
    private String finishUserName;
    /**
     * 接待人员
     */
    private String receptionUserName;
    /**
     * 接待门店
     */
    private String receptionShopName;
    /**
     * 关单时间
     */
    private Date closeTime;
    /**
     * 战败类型
     *
     * @see cn.fw.valhalla.domain.enums.TaskDefeatTypeEnum
     */
    private Integer initiative;
    /**
     * 最后一次反馈
     */
    private Integer feedback;
    /**
     * 集团id
     */
    private Long groupId;
}
