package cn.fw.valhalla.domain.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * 客户类型
 *
 * @author kurisu
 */
public enum CusTagEnum implements IEnum<String> {

    /**
     * 终身质保卡
     */
    QUA_ASS_CARD("qua_ass_card", "终身质保卡"),
    /**
     * 保养套餐卡
     */
    MAINTAIN_CARD("maintain_card", "保养套餐卡"),
    /**
     * 员工
     */
    STAFF("staff", "员工"),
    /**
     * 大客户
     */
    ORGANIZATION("organization", "大客户"),
    /**
     * 企业特殊用户
     */
    COMPANY_SPECIAL("company_special", "企业特殊用户"),
    ;

    /**
     * 值
     */
    private final String value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    CusTagEnum(final String value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static CusTagEnum ofValue(final String value) {
        for (final CusTagEnum typeEnum : CusTagEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    @Override
    public String getValue() {
        return value;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final String value) {
        for (final CusTagEnum typeEnum : CusTagEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum.getName();
            }
        }
        return "";
    }
}
