package cn.fw.valhalla.domain.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * 人员类型
 *
 * @author kurisu
 */
public enum PersonnelTypeEnum implements IEnum<Integer> {

    /**
     * 送修人
     */
    SENDER(1, "送修人"),
    /**
     * 同行人
     */
    COMPANION(2, "同行人"),
    /**
     * 车主
     */
    OWNER(3, "车主");

    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    PersonnelTypeEnum(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static PersonnelTypeEnum ofValue(final Integer value) {
        for (final PersonnelTypeEnum typeEnum : PersonnelTypeEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    @Override
    public Integer getValue() {
        return value;
    }
}