package cn.fw.valhalla.domain.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * @author : kurisu
 * @className : StammkundeStatusEnum
 * @description : 保有客池状态
 * @date: 2020-08-11 17:37
 */
public enum StammkundeStatusEnum implements IEnum<Integer> {
    /**
     * 保有客
     */
    KUNDE(1, "保有客"),
    /**
     * 二次分配
     */
    TWICE(2, "二次分配"),
    /**
     * 公共池
     */
    PUBLIC(3, "公共池"),
    ;

    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    StammkundeStatusEnum(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static StammkundeStatusEnum ofValue(final Integer value) {
        for (final StammkundeStatusEnum typeEnum : StammkundeStatusEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    @Override
    public Integer getValue() {
        return value;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final StammkundeStatusEnum typeEnum : StammkundeStatusEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum.getName();
            }
        }
        return "";
    }
}
