package cn.fw.valhalla.domain.vo;

import cn.fw.valhalla.domain.db.LeaveNeedDo;
import lombok.Data;
import lombok.ToString;
import org.springframework.lang.NonNull;

import java.util.Date;

/**
 * @author : kurisu
 * @className : LeaveNeedDoVO
 * @description : 保有客待分配列表
 * @date: 2020-10-16 16:56
 */
@Data
@ToString(callSuper = true)
public class LeaveNeedDoVO {
    private Long id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 用户所属门店
     */
    private Long shopId;
    /**
     * 用户变动原因
     */
    private Integer reason;
    /**
     * 生效时间
     */
    private Date effectiveTime;
    /**
     * 是否已完成处理
     */
    private Boolean done;
    /**
     * 保有客数量
     */
    private Integer customerNum;

    public static LeaveNeedDoVO with(@NonNull LeaveNeedDo db, int i) {
        LeaveNeedDoVO vo = new LeaveNeedDoVO();
        vo.setId(db.getId());
        vo.setUserId(db.getUserId());
        vo.setUserName(db.getUserName());
        vo.setShopId(db.getShopId());
        vo.setReason(db.getReason().getValue());
        vo.setEffectiveTime(db.getEffectiveTime());
        vo.setDone(db.getDone());
        vo.setCustomerNum(i);
        return vo;
    }
}
