package cn.fw.valhalla.domain.vo.customer;

import cn.fw.valhalla.common.utils.StringUtils;
import lombok.Data;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 档案列表
 * @author kurisu
 */
@Data
public class CustomerListVO {
    private Long id;
    /**
     * 车主姓名
     */
    private String ownerName;
    /**
     * 车辆图片
     */
    private String carImage;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 等级
     */
    private Integer cusLevel;
    /**
     * 车辆名称
     */
    private String carName;
    /**
     * 标签
     */
    private String tags;

    public List<String> getTags() {
        if (StringUtils.isValid(this.tags)) {
            return Arrays.stream(this.tags.split(","))
                    .filter(StringUtils::isValid)
                    .collect(Collectors.toList());
        }
        return null;
    }
}