package cn.fw.valhalla.domain.vo.customer;

import cn.fw.valhalla.common.utils.StringUtils;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Arrays;
import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 接车时档案查询vo
 * @author kurisu
 */
@Data
public class PickUpCustomerDetailVO {
    private Long id;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 客户性别
     */
    private Integer gender;
    /**
     * 客户出生日期
     */
    private Date birthday;
    /**
     * 联系地址
     */
    private String address;
    /**
     * 纬度
     */
    private BigDecimal lat;
    /**
     * 经度
     */
    private BigDecimal lng;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 发动机编号
     */
    private String engineNo;
    /**
     * 行驶证注册日期
     */
    private Date regDate;
    /**
     * 车型代码
     */
    private String specCode;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 车系id
     */
    private Long seriesId;
    /**
     * 车系名称
     */
    private String seriesName;
    /**
     * 车系id
     */
    private Long specId;
    /**
     * 车系名称
     */
    private String specName;
    /**
     * 车辆图片
     */
    private String carImage;
    /**
     * 标签
     */
    private String tags;
    /**
     * 客户星级
     */
    private Integer cusLevel;
    /**
     * 联系人
     */
    private String name;
    /**
     * 爱好
     */
    private String hobby;
    /**
     * 职业
     */
    private String job;
    /**
     * 客户证件号码
     */
    private String idNum;
    /**
     * 工作单位;个人
     */
    private String companyName;
    /**
     * 联系电话
     */
    private String mobile;
    /**
     * 客户类型;1:个人；2:单位
     */
    private Integer cusType;
    /**
     * 保险到期日期
     */
    private Date insurExpireDate;
    /**
     * 保险公司id
     */
    private Long insurCompanyId;
    /**
     * 购车日期
     */
    private Date buyDate;
    /**
     * 保险公司名称
     */
    private String insurCompanyName;
    /**
     * 当前行驶里程 单位KM
     */
    private Integer currentMileage;
    /**
     * 组织机构代码
     */
    private String orgCode;
    /**
     * 使用性质 1:非运营 2：运营
     */
    private Integer useType;
    /**
     * 使用地城市代码
     */
    private String cityCode;
    /**
     * 使用地城市名称
     */
    private String cityName;

    /**
     * 专属服务顾问id
     */
    private Long adviserId;
    /**
     * 专属服务顾问名称
     */
    private String adviserName;
    /**
     * 代班人Id
     */
    private Long substituteId;
    /**
     * 代班人
     */
    private String substitute;
    /**
     * 服务站id
     */
    private Long shopId;
    /**
     * 能否接车
     */
    private Boolean canReception;
    /**
     * 进站次数
     */
    private Integer arrivalCount;

    public boolean isTemporaryPlateNo() {
        return this.plateNo.contains("临") || this.plateNo.contains("商");
    }

    public List<String> getTags() {
        if (StringUtils.isValid(this.tags)) {
            return Arrays.stream(this.tags.split(","))
                    .filter(StringUtils::isValid)
                    .collect(Collectors.toList());
        }
        return null;
    }
}