package cn.fw.valhalla.domain.vo.follow;

import cn.fw.valhalla.common.utils.DateUtil;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.time.LocalDate;
import java.util.Date;
import java.util.Objects;

/**
 * @author : kurisu
 * @className : IRDetailVO
 * @description : 续保跟进详情
 * @date: 2020-08-17 15:17
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class IRDetailVO extends FollowDetailVO {
    /**
     * 是否是贷款客户
     */
    private boolean loanCustomer;
    /**
     * 分期期数
     */
    private Integer periods;
    /**
     * 贷款到期时间
     */
    private Date expires;
    /**
     * 交强险保险公司名称
     */
    private String tclInsComName;
    /**
     * 交强险保险到期时间
     */
    private Date tclInsExpiration;
    /**
     * 商业险保险公司名称
     */
    private String busInsComName;
    /**
     * 商业险保险到期时间
     */
    private Date busInsExpiration;

    public String getLoanDesc() {
        if (Objects.isNull(expires)) {
            return null;
        }
        if (DateUtil.date2LocalDate(this.expires).isBefore(LocalDate.now())) {
            return "分期到期";
        }
        return "贷款期客户";
    }
}
