package cn.fw.valhalla.domain.vo.pool;

import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.Objects;
import java.util.Optional;

/**
 * @author : kurisu
 * @className : CustomerClueSummaryVO
 * @description : 概览
 * @date: 2020-11-23 10:03
 */
@Data
@ToString
public class CustomerClueSummaryVO {
    /**
     * 成交数
     */
    private Long completeNum;
    /**
     * 战败数
     */
    private Long defeatNum;
    /**
     * 关单线索总数
     */
    private Long closedNum;
    /**
     * 进行中的数量
     */
    private Long onGoingNum;

    public BigDecimal getCompleteRatio() {
        if (Objects.isNull(completeNum) || completeNum == 0) {
            return BigDecimal.ZERO;
        }
        BigDecimal comp = BigDecimal.valueOf(completeNum);
        BigDecimal def = BigDecimal.valueOf(Optional.ofNullable(defeatNum).orElse(0L));
        BigDecimal total = comp.add(def);
        return comp.divide(total, 4, RoundingMode.HALF_UP);
    }
}
