package cn.fw.valhalla.domain.vo.pool;

import lombok.Data;

import java.util.Date;
import java.util.Objects;

/**
 * @author : kurisu
 * @className : PublicCluePoolDTO
 * @description : 公共池客户转换dto
 * @date: 2021-03-29 14:55
 */
@Data
public class PublicCluePoolVO {
    private Long id;
    /**
     * 客户id
     */
    private Long customerId;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 车辆名称
     */
    private String carName;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 顾问id
     */
    private Long adviserId;
    /**
     * 顾问名称
     */
    private String adviserName;
    /**
     * 档案创建时间
     */
    private Date activationTime;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 区域
     */
    private String regionName;
    /**
     * 联系地址
     */
    private String address;
    /**
     * 客户星级
     */
    private Integer customerLevel;
    /**
     * 质保卡
     */
    private Boolean warrantyCard;
    /**
     * 套餐卡
     */
    private Boolean maintainCard;
    /**
     * 是否是贷款客户
     */
    private Boolean loanCustomer;
    /**
     * 贷款到期时间
     */
    private Date loanExpires;
    /**
     * 购车时间
     */
    private Date buyDate;
    /**
     * 购买年限
     */
    private Long ageLimit;
    /**
     * 保险到期时间
     */
    private Date insuranceExpires;
    /**
     * 上次进站时间
     */
    private Date arrivalTime;
    /**
     * 进站次数
     */
    private Integer times;
    /**
     * 转换倒计时
     */
    private Integer remaining;
    /**
     * 转换状态
     */
    private Integer state;



    public String getRemaining() {
        if (Objects.isNull(remaining) || state != 1) {
            return null;
        }
        StringBuilder sb = new StringBuilder();
        int num = remaining <= 0 ? 0 : remaining;
        int i = num / 24;
        if (i <= 0) {
            sb.append(num % 24).append("小时");
        } else {
            sb.append(i + 1).append("天");
        }
        return sb.toString();
    }
}
