package cn.fw.valhalla.domain.vo.pool;

import cn.fw.valhalla.common.utils.StringUtils;
import lombok.Data;
import lombok.ToString;

/**
 * @author : kurisu
 * @className : PublicPoolVO
 * @description : 公共池
 * @date: 2020-09-25 16:21
 */
@Data
@ToString
public class PublicPoolVO {
    private Long id;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 车系id
     */
    private Long seriesId;
    /**
     * 车系名称
     */
    private String seriesName;
    /**
     * 车型id
     */
    private Long specId;
    /**
     * 车型名称
     */
    private String specName;
    /**
     * 公共池类型
     */
    private String typeDesc;
    /**
     * 服务站
     */
    private Long shopId;
    /**
     * 服务站名称
     */
    private String shopName;
    /**
     * 进站次数
     */
    private Integer times;

    /**
     * 质保卡
     */
    private Boolean warrantyCard;
    /**
     * 套餐卡
     */
    private Boolean maintainCard;

    public String getCarName() {
        StringBuilder carName = new StringBuilder(StringUtils.isValid(this.brandName) ? this.brandName : "");
        if (StringUtils.isValid(this.seriesName)) {
            carName.append(" ").append(this.brandName);
        }
        if (StringUtils.isValid(this.specName)) {
            carName.append(" ").append(this.specName);
        }
        return carName.toString();
    }
}
