package cn.fw.valhalla.domain.vo.pool;

import lombok.Data;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : StammkundePoolVO
 * @description : 保有客池
 * @date: 2020-11-19 17:27
 */
@Data
@ToString
public class StammkundePoolVO {
    private Long customerId;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 车辆名称
     */
    private String carName;
    /**
     * 门店
     */
    private String shopName;
    /**
     * 顾问
     */
    private String adviserName;
    /**
     * 档案创建时间
     */
    private Date activationTime;
    /**
     * 渠道来源
     */
    private Integer sources;
    /**
     * 战败日期
     */
    private Date defeatTime;
    /**
     * 战败原因
     */
    private String reason;
    /**
     * 状态
     */
    private Integer poolStatus;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 联系地址
     */
    private String address;
    /**
     * 区域
     */
    private String regionName;
    /**
     * 客户星级
     */
    private Integer customerLevel;
    /**
     * 质保卡
     */
    private Boolean warrantyCard;
    /**
     * 套餐卡
     */
    private Boolean maintainCard;
    /**
     * 是否是贷款客户
     */
    private Boolean loanCustomer;
    /**
     * 购车时间
     */
    private Date buyDate;
    /**
     * 购买年限
     */
    private Long ageLimit;
    /**
     * 保险到期时间
     */
    private Date insuranceExpires;
    /**
     * 上次进站时间
     */
    private Date arrivalTime;
    /**
     * 进站次数
     */
    private Integer times;
    /**
     * 新顾问id
     */
    private Long newUserId;
    /**
     * 新顾问名称
     */
    private String newUserName;
    /**
     * 新门店id
     */
    private Long newShopId;
    /**
     * 新门店名称
     */
    private String newShopName;
}
