package cn.fw.valhalla.rpc.flow.dto;

import cn.fw.flow.param.FormDataDto;
import lombok.*;

import java.util.List;
import java.util.Map;

/**
 * @author : kurisu
 * @className : FlowDto
 * @description : 审批dto
 * @date: 2020-09-22 16:43
 */
@Data
@ToString
@AllArgsConstructor
@NoArgsConstructor
@Builder(toBuilder = true)
public class FlowDto {
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 模板号
     */
    private String flowNo;
    /**
     * 发起人id
     */
    private Long sponsorId;
    private String sponsorName;
    /**
     * 门店
     */
    private Long rangeValue;
    /**
     * 描述  名称：xxxx
     */
    private List<String> briefContentList;
    /**
     * 详情参数
     */
    private Map<String, String> param;
    /**
     * 条件值
     */
    private List<FormDataDto> judgeAttrList;

    public static FlowDto create(Long groupId, String flowNo, Long sponsorId,
                                 String sponsorName, Long shopId) {
        return new FlowDto()
                .toBuilder()
                .groupId(groupId)
                .flowNo(flowNo)
                .sponsorId(sponsorId)
                .sponsorName(sponsorName)
                .rangeValue(shopId)
                .build();
    }
}
