package cn.fw.valhalla.rpc.oop.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 商家信息
 * <p>
 * create at 2019-03-28
 *
 * @author kurisu
 */
@Data
public class DealerDTO implements Serializable {
    private static final long serialVersionUID = -4185924409301630978L;
    /**
     * 商家id
     */
    private Long id;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 集团名称
     */
    private String groupName;

    /**
     * 经销商名称
     */
    private String dealerName;

    /**
     * 经销商短名
     */
    private String shortName;

    /**
     * 经销商logo
     */
    private String dealerLogo;

    /**
     * 主营品牌id
     */
    private Long brandId;

    /**
     * 主营品牌名称
     */
    private String brandName;

    /**
     * 联系电话
     */
    private String tel;

    /**
     * 负责人
     */
    private String owner;

    /**
     * 地址
     */
    private String addr;

    /**
     * 经纬度
     */
    private BigDecimal lat;

    /**
     * 经纬度
     */
    private BigDecimal lng;

    /**
     * 商家状态
     */
    private Boolean status;

    /**
     * 备注
     */
    private String remark;
}
