package cn.fw.valhalla.rpc.passport;

import cn.fw.common.exception.BusinessException;
import cn.fw.data.base.domain.common.Message;
import cn.fw.passport.sdk.api.MiniQrCodeApi;
import cn.fw.passport.sdk.api.param.WxBCodeParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 会员外部服务
 * @author kurisu
 */
@Slf4j
@Service
public class PassportService {

    @Autowired
    private MiniQrCodeApi miniQrCodeApi;

    /**
     * 获取小程序二维码
     *
     * @param param
     * @return
     */
    public byte[] getWxBCode(WxBCodeParam param){
        try {
            Message<byte[]> message = miniQrCodeApi.getWxBCode(param);
            if (!message.isSuccess()) {
                log.error("调用passport api 生成小程序码业务异常：{}", message.getResult());
                throw new BusinessException(message.getCode(), message.getResult());
            }
            return message.getData();
        }catch (Exception e){
            log.error("会员系统调用失败",e);
            throw new BusinessException("调用会员系统异常");
        }
    }


}
