package cn.fw.valhalla.sdk.api;

import cn.fw.data.base.domain.common.Message;
import cn.fw.valhalla.sdk.param.FollowOriginalParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import javax.validation.Valid;

/**
 * @author : kurisu
 * @className : FollowApiService
 * @description : 跟进相关api
 * @date: 2020-08-14 17:51
 */
@FeignClient(value = "fw-valhalla", path = "/api/valhalla/follow")
public interface FollowApiService {

    /**
     * 保存会产生跟进的业务数据
     *
     * @param originalParam
     * @return
     */
    @PostMapping("/origin/save")
    Message<Void> saveOriginal(@Valid @RequestBody FollowOriginalParam originalParam);

    /**
     * 移除业务数据
     *
     * @param type     {@link cn.fw.valhalla.sdk.enums.DataTypeEnum}
     * @param detailId
     * @return
     */
    @GetMapping("/origin/remove")
    Message<Void> removeData(@RequestParam("type") Integer type, @RequestParam("detailId") String detailId);
}