package cn.fw.valhalla.sdk.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * 客户类型
 *
 * @author kurisu
 */
public enum CusTypeEnum implements IEnum<Integer> {

    /**
     * 个人
     */
    PERSONAL(1, "个人"),
    /**
     * 企业单位
     */
    COMPANY(2, "单位");

    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    CusTypeEnum(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static CusTypeEnum ofValue(final Integer value) {
        for (final CusTypeEnum typeEnum : CusTypeEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    @Override
    @JsonValue
    public Integer getValue() {
        return value;
    }
}
