package cn.fw.valhalla.sdk.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * @author : kurisu
 * @className : ReasonEnum
 * @description : 变更原因
 * @date: 2020-08-11 17:37
 */
public enum ReasonEnum implements IEnum<Integer> {
    /**
     * 购买保养卡
     */
    MC(1, "购买保养卡"),
    /**
     * 购买质保卡
     */
    WC(2, "购买质保卡"),
    /**
     * 购买保险
     */
    IN(3, "购买保险"),
    /**
     * 到店消费
     */
    TO_SHOP(4, "到店消费");

    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    ReasonEnum(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static ReasonEnum ofValue(final Integer value) {
        for (final ReasonEnum typeEnum : ReasonEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    @Override
    public Integer getValue() {
        return value;
    }
}
