package cn.fw.valhalla.sdk.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * 车辆使用类型
 *
 * @author kurisu
 */
public enum SourceTypeEnum implements IEnum<Integer> {

    /**
     * 销售订单
     */
    SALE_ORDER(10, "销售订单"),
    /**
     * 自然到店
     */
    TO_SHOP(20, "自然到店"),
    /**
     * 网上预约
     */
    ONLINE_APPOINTMENT(30, "网上预约"),
    /**
     * 数据导入
     */
    IMPORTED(40, "数据导入"),
    ;

    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    SourceTypeEnum(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static SourceTypeEnum ofValue(final Integer value) {
        for (final SourceTypeEnum typeEnum : SourceTypeEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    @Override
    @JsonValue
    public Integer getValue() {
        return value;
    }
}
