package cn.fw.valhalla.sdk.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 修改车牌号
 * @author kurisu
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class ChangePlateNoReq {
    /**
     * 车架号
     */
    @NotBlank(message = "车架号不能为空")
    private String frameNo;
    /**
     * 车牌号
     */
    @NotBlank(message = "车牌号不能为空")
    private String plateNo;
    /**
     * 集团id
     */
    @NotNull(message = "集团id不能为空")
    private Long groupId;
}
