package cn.fw.valhalla.sdk.param;

import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author : kurisu
 * @className : ReachLogReq
 * @description : 进站记录
 * @date: 2020-11-11 15:35
 */
@Data
@ToString
public class ReachLogReq {
    /**
     * 档案id
     */
    @NotNull(message = "档案id不能为空")
    private Long customerId;
    /**
     * 进站时间
     */
    @NotNull(message = "进站时间不能为空")
    private Date arrivalTime;
    /**
     * 进站里程 (单位公里)
     */
    @NotNull(message = "进站里程不能为空")
    private Integer arrivalMileage;

    @NotNull(message = "服务站不能为空")
    private Long shopId;
    /**
     * 集团id
     */
    @NotNull(message = "集团id不能为空")
    private Long groupId;
}
