package cn.fw.valhalla.sdk.result;

import lombok.Data;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : CarArchiveDTO
 * @description : 档案信息
 * @date: 2020-08-26 17:57
 */
@Data
@ToString
public class CarArchiveDTO {
    /**
     * 车辆id 即档案id
     */
    private Long carId;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 车型id
     */
    private Long seriesId;
    private Long brandId;
    /**
     * 车型id
     */
    private Long specId;
    /**
     * 车辆名称
     */
    private String carName;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 车辆图片
     */
    private String image;
    /**
     * 是否是车主
     */
    private Boolean owner;
    /**
     * 车主名称
     */
    private String ownerName;
    /**
     * 档案id
     */
    private Long cusId;
    /**
     * 服务站id
     */
    private Long shopId;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 座位数
     */
    private Integer seatCnt;
    /**
     * 购车价
     */
    private Long buyPrice;
    /**
     * 购买年限
     */
    private Integer buyYears;
    /**
     * 使用类型
     */
    private Integer useType;
    /**
     * 所属服务顾问
     */
    private Long adviserId;
    /**
     * 所属服务顾问
     */
    private String adviserName;
    /**
     * 是否是贷款客户
     */
    private boolean loanCustomer;
    /**
     * 分期期数
     */
    private Integer periods;
    /**
     * 贷款到期时间
     */
    private Date expires;
}
