package cn.fw.valhalla.controller.task;

import cn.fw.valhalla.service.bus.follow.NoticeBizService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author : kurisu
 * @className : FollowNoticeTask
 * @description : 服务号消息定时任务
 * @date: 2020-08-25 16:57
 */
@Component
@ConditionalOnProperty(prefix = "task", name = "switch", havingValue = "on")
public class FollowNoticeTask {
    private final NoticeBizService noticeBizService;

    @Autowired
    public FollowNoticeTask(final NoticeBizService noticeBizService) {
        this.noticeBizService = noticeBizService;
    }

    /**
     * 发送服务号消息
     */
    @Scheduled(cron = "0/30 * 7-21 * * *")
    @Transactional(rollbackFor = Exception.class)
    public void sendNotice() {
        noticeBizService.sendNotice();
    }
}
