package cn.fw.valhalla.component;

import cn.fw.valhalla.sdk.result.CustomerInfoDto;
import lombok.extern.slf4j.Slf4j;
import org.apache.rocketmq.spring.core.RocketMQTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @author kurisu
 */
@Slf4j
@Component
public class CustomerChangeProducer {
    @Autowired
    private RocketMQTemplate rocketMQTemplate;

    private final String TOPIC = "customer_change";

    @RequestMapping(value = "send")
    public void send(CustomerInfoDto customerInfoDto) {
        try {
            log.info("售后保有客信息变更mq: body:[{}]", customerInfoDto);
            rocketMQTemplate.syncSend(TOPIC + ":*", customerInfoDto);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}