package cn.fw.valhalla.service.bus.setting.strategy;

import cn.fw.valhalla.domain.dto.SettingDTO;
import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import cn.fw.valhalla.domain.enums.SettingTypeEnum;
import cn.fw.valhalla.domain.vo.setting.SettingVO;

import java.util.List;

/**
 * @author : kurisu
 * @className : SettingStrategy
 * @description : 设置策略接口
 * @date: 2020-08-14 10:10
 */
public interface SettingStrategy {
    /**
     * 获取设置类型
     * @return
     */
    FollowTypeEnum getFollowType();

    /**
     * 查询设置详情
     * @param groupId
     * @return
     */
    List<SettingVO> getList(Long groupId);

    /**
     * 保存设置
     * @param list
     * @param groupId
     * @return
     */
    boolean save(List<SettingDTO> list, Long groupId);

    /**
     * 根据设置类型查询设置信息
     * @param settingTypeEnum
     * @param groupId
     * @return
     */
    SettingVO getBySettingType(SettingTypeEnum settingTypeEnum, Long groupId);
}
