package cn.fw.valhalla.service.bus.setting.strategy.impl;

import cn.fw.valhalla.domain.dto.SettingDTO;
import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import cn.fw.valhalla.domain.enums.SettingTypeEnum;
import cn.fw.valhalla.domain.vo.setting.SettingVO;
import cn.fw.valhalla.service.bus.setting.strategy.AbstractSettingStrategy;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author : kurisu
 * @className : GeneralSetting
 * @description : 通用设置
 * @date: 2021-03-30 13:58
 */
@Component
@Slf4j
public class GeneralSetting extends AbstractSettingStrategy {
    @Override
    public FollowTypeEnum getFollowType() {
        return FollowTypeEnum.OT;
    }

    @Override
    public List<SettingVO> getList(Long groupId) {
        return this.getListByCat(getFollowType(), groupId);
    }

    @Override
    public boolean save(List<SettingDTO> list, Long groupId) {
        return saveOrUpdate(getFollowType(), groupId, list);
    }

    @Override
    public SettingVO getBySettingType(SettingTypeEnum settingTypeEnum, Long groupId) {
        return getBySettingType(getFollowType(), groupId, settingTypeEnum);
    }
}
