package cn.fw.valhalla.service.data;

import cn.fw.valhalla.domain.db.customer.CustomerBaseInfo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author : kurisu
 * @className : CustomerBaseInfoService
 * @description : 档案基础信息
 * @date: 2020-08-12 11:18
 */
public interface CustomerBaseInfoService extends IService<CustomerBaseInfo> {
    /**
     * 根据id查询
     *
     * @param id
     * @return
     */
    CustomerBaseInfo queryById(Long id);

    /**
     * 根据idcode查询
     *
     * @param idCode
     * @param groupId
     * @return
     */
    CustomerBaseInfo queryByIdCode(String idCode, Long groupId);

    /**
     * 根据手机号查询
     *
     * @param mobile
     * @param groupId
     * @return
     */
    CustomerBaseInfo queryByMobile(String mobile, Long groupId);
}
