package cn.fw.valhalla.service.data;

import cn.fw.valhalla.domain.db.follow.FollowRecord;
import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.lang.Nullable;

import java.util.List;

/**
 * @author : kurisu
 * @className : FollowRecordService
 * @description : 跟进记录
 * @date: 2020-08-12 11:09
 */
public interface FollowRecordService extends IService<FollowRecord> {
    /**
     * 保存并校验唯一性
     * @param record
     * @return
     */
    boolean queryAndSave(FollowRecord record);
    /**
     * 查询跟进记录
     *
     * @param taskId
     * @return
     */
    List<FollowRecord> getRecordList(final Long taskId);

    /**
     * 逾期
     *
     * @param id
     * @return
     */
    boolean overdue(final Long id);

    /**
     * 批量添加到待办
     *
     * @param list
     * @return
     */
    boolean addTodoBatchById(List<Long> list);

    /**
     * 删除
     *
     * @param taskId
     * @return
     */
    boolean removeByTaskId(Long taskId);

    /**
     * 通过taskId列表批量删除
     *
     * @param idList
     * @return
     */
    boolean removeByTaskIds(List<Long> idList);

    /**
     * 查询档案对应的跟进任务
     * @param customerId
     * @param list
     * @return
     */
    void removeRecordByCustId(final Long customerId, @Nullable List<FollowTypeEnum> list);
}
