package cn.fw.valhalla.service.data;

import cn.fw.valhalla.domain.db.pool.PublicCluePool;
import cn.fw.valhalla.domain.dto.PublicCluePoolDTO;
import cn.fw.valhalla.domain.query.PublicCluePoolQueryVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author : kurisu
 * @className : PublicCluePoolService
 * @description : 公共池客户线索池
 * @date: 2021-03-29 15:47
 */
public interface PublicCluePoolService extends IService<PublicCluePool> {
    /**
     * 公共池客户线索池
     *
     * @param queryVO
     * @return
     */
    List<PublicCluePoolDTO> publicCluePoolList(PublicCluePoolQueryVO queryVO);

    /**
     * 公共池客户线索池总数
     *
     * @param queryVO
     * @return
     */
    long publicCluePoolListCount(PublicCluePoolQueryVO queryVO);

    /**
     * 移除数据
     * @param customerId
     * @param adviserId
     */
    void removeClue(Long customerId, Long adviserId);

    /**
     * 关闭线索
     * @param customerId
     * @param adviserId
     */
    void closeClue(Long customerId, Long adviserId);

    /**
     * 根据档案id和顾问id查询公共线索池数据
     * @param customerId
     * @param adviserId
     * @return
     */
    PublicCluePool queryByAdviserAndCust(Long customerId, Long adviserId);
}
