package cn.fw.valhalla.service.data.impl;

import cn.fw.valhalla.dao.mapper.AccidentPoolMapper;
import cn.fw.valhalla.domain.db.customer.AccidentPool;
import cn.fw.valhalla.service.data.AccidentPoolService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @author : kurisu
 * @className : AccidentPoolServiceImpl
 * @description : 事故池
 * @date: 2020-08-12 11:22
 */
@Slf4j
@Service
public class AccidentPoolServiceImpl extends ServiceImpl<AccidentPoolMapper, AccidentPool> implements AccidentPoolService {
    @Override
    public AccidentPool queryByReportNum(String reportNum, Long groupId) {
        return this.getOne(Wrappers.<AccidentPool>lambdaQuery()
                .eq(AccidentPool::getReportNum, reportNum)
                .eq(AccidentPool::getGroupId, groupId)
        );
    }
}
