package cn.fw.valhalla.service.data.impl;

import cn.fw.valhalla.dao.mapper.CustomerBaseInfoMapper;
import cn.fw.valhalla.domain.db.customer.CustomerBaseInfo;
import cn.fw.valhalla.service.data.CustomerBaseInfoService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @author : kurisu
 * @className : CustomerBaseInfoServiceImpl
 * @description : 档案基础信息
 * @date: 2020-08-12 11:18
 */
@Slf4j
@Service
public class CustomerBaseInfoServiceImpl extends ServiceImpl<CustomerBaseInfoMapper, CustomerBaseInfo> implements CustomerBaseInfoService {
    @Override
    public CustomerBaseInfo queryById(Long id) {
        return this.getBaseMapper().selectOne(Wrappers.<CustomerBaseInfo>lambdaQuery()
                .eq(CustomerBaseInfo::getId, id)
                .eq(CustomerBaseInfo::getYn, Boolean.TRUE)
                .last("limit 1"));
    }

    @Override
    public CustomerBaseInfo queryByIdCode(String idCode, Long groupId) {
        return this.getBaseMapper().selectOne(Wrappers.<CustomerBaseInfo>lambdaQuery()
                .eq(CustomerBaseInfo::getIdCode, idCode)
                .eq(CustomerBaseInfo::getGroupId, groupId)
                .eq(CustomerBaseInfo::getYn, Boolean.TRUE)
                .last("limit 1"));
    }

    @Override
    public CustomerBaseInfo queryByMobile(String mobile, Long groupId) {
        return this.getBaseMapper().selectOne(Wrappers.<CustomerBaseInfo>lambdaQuery()
                .eq(CustomerBaseInfo::getMobile, mobile)
                .eq(CustomerBaseInfo::getGroupId, groupId)
                .eq(CustomerBaseInfo::getYn, Boolean.TRUE)
                .last("limit 1"));
    }
}
