package cn.fw.valhalla.service.data.impl;

import cn.fw.valhalla.dao.mapper.LeaveNeedDoMapper;
import cn.fw.valhalla.domain.db.LeaveNeedDo;
import cn.fw.valhalla.domain.enums.LeaveTodoTypeEnum;
import cn.fw.valhalla.service.data.LeaveNeedDoService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.lang.NonNull;
import org.springframework.lang.Nullable;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.Date;
import java.util.List;

/**
 * @author : kurisu
 * @className : LeaveNeedDoServiceImpl
 * @description : 人员变动待处理事件
 * @date: 2020-08-12 11:05
 */
@Service
@Slf4j
public class LeaveNeedDoServiceImpl extends ServiceImpl<LeaveNeedDoMapper, LeaveNeedDo> implements LeaveNeedDoService {

    @Override
    @Nullable
    public LeaveNeedDo queryProcessableById(@NonNull Long id) {
        List<LeaveNeedDo> list = list(Wrappers.<LeaveNeedDo>lambdaQuery()
                .eq(LeaveNeedDo::getId, id)
                .eq(LeaveNeedDo::getDone, Boolean.FALSE)
                .eq(LeaveNeedDo::getType, LeaveTodoTypeEnum.CUSTOMER)
        );
        if (CollectionUtils.isEmpty(list)) {
            return null;
        }
        return list.get(0);
    }

    @Override
    public void dealById(@NonNull Long id) {
        update(Wrappers.<LeaveNeedDo>lambdaUpdate()
                .set(LeaveNeedDo::getDone, Boolean.TRUE)
                .set(LeaveNeedDo::getUpdateTime, new Date())
                .eq(LeaveNeedDo::getId, id)
        );
    }
}
