package cn.fw.valhalla.service.data.impl;

import cn.fw.valhalla.dao.mapper.WechatSubscribeMapper;
import cn.fw.valhalla.domain.db.WechatSubscribe;
import cn.fw.valhalla.domain.dto.WechatSubscribeSaveDTO;
import cn.fw.valhalla.service.data.WechatSubscribeService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Objects;

/**
 * @author kurisu
 */
@Service
public class WechatSubscribeServiceImpl extends ServiceImpl<WechatSubscribeMapper, WechatSubscribe> implements WechatSubscribeService {

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void saveOrUpdate(final WechatSubscribeSaveDTO dto) {
        final WechatSubscribe old = baseMapper.selectOne(new QueryWrapper<WechatSubscribe>().lambda()
            .eq(WechatSubscribe::getMemberId, dto.getMemberId()));
        if (Objects.isNull(old)) {
            final WechatSubscribe wechatSubscribe = new WechatSubscribe();
            BeanUtils.copyProperties(dto, wechatSubscribe);
            baseMapper.insert(wechatSubscribe);
        } else {
            final WechatSubscribe wechatSubscribe = new WechatSubscribe();
            BeanUtils.copyProperties(dto, wechatSubscribe);
            wechatSubscribe.setId(old.getId());
            baseMapper.updateById(wechatSubscribe);
        }
    }
}